Get Brand by ID

Retrieve detailed information for a specific brand in your account by ID.

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

The unique identifier of the brand you want to retrieve from your account.

This identifier is a string that always begins with the prefix b_, for example: b_1234567890.

Query parameters

hideEINbooleanOptionalDefaults to false

Optional flag to mask the Employer Identification Number in the response for security purposes.

When you set this to true, the EIN value will be replaced with a masked placeholder instead of the actual number.

Response

Returns the brand.
createdAtstring
ISO 8601 formatted timestamp of when this brand was added to our system.
idstring

The brand’s ID. This identifier is a string that always begins with the prefix b_, for example: b_1234567890.

isArchivedboolean
Indicates if this brand is archived.
lastTcrVettingDatestring or null
ISO 8601 formatted timestamp of the last TCR vetting.
statusenum
Current review status of the brand. <br> `INCOMPLETE`: Not submitted. <br> `IN REVIEW`: Being reviewed by carriers. <br> `VERIFIED`: Approved and ready to send messages. <br> `FAILED`: Issues and errors related to the campaign's details. <br> `VETTED`: Has undergone additional vetting by a third party service post the brand being verified. Your brand will be assigned a trust score, with higher trust scores having higher message volumes. <br> `UNVERIFIED`: Brand details have been updated, and the brand will need to undergo re-verification.
tcrFeedbacklist of objects or null
Feedback from The Campaign Registry if TCR vetting was performed.
updatedAtstring
ISO 8601 formatted timestamp of when this brand was last updated.
vettingHistorylist of objects
History of all external vetting attempts for this brand.
addressstring
Primary brand address where this brand is located.
contactobject
Contact information for the primary brand representative.
dbastring or null

“Doing Business As” name - the public name this brand operates under.

descriptionstring
Brief description of what this brand does.
einstring

Employer Identification Number (EIN) assigned by the IRS.

emailstring
Main contact email address for this brand.
entityTypeenum
Legal entity type of the brand.
Allowed values:
namestring
Legal name of the brand as registered.
sectorenum
Industry the Brand operates in.
typeenum
Legal structure of the brand.
Allowed values:
websitestring
Brand website URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error